summaryrefslogtreecommitdiff
path: root/app-admin
diff options
context:
space:
mode:
authorBlackNoxis <steven.darklight@gmail.com>2014-10-27 18:38:05 +0200
committerBlackNoxis <steven.darklight@gmail.com>2014-10-27 18:38:05 +0200
commit24934e623441310f644e5f72855b0f2bf9f3cd1a (patch)
treea453939bf58199bc2c3ff27bcf0accf2b221c6c4 /app-admin
parent687f45092b4f4ccf33765cee7427f054bae22344 (diff)
Incoming! Moving Rogento.git to kogaion-desktop. Finally
Diffstat (limited to 'app-admin')
-rw-r--r--app-admin/our-archive/Manifest4
-rw-r--r--app-admin/our-archive/files/creation-1.patch9
-rw-r--r--app-admin/our-archive/our-archive-1.01.ebuild42
-rw-r--r--app-admin/our-archive/our-archive-1.ebuild40
-rw-r--r--app-admin/stability-watcher/Manifest3
-rw-r--r--app-admin/stability-watcher/files/07-rogentos-packages.mask71
-rw-r--r--app-admin/stability-watcher/files/entropy_sabayonlinux.org3
-rw-r--r--app-admin/stability-watcher/stability-watcher-0.1.ebuild32
8 files changed, 204 insertions, 0 deletions
diff --git a/app-admin/our-archive/Manifest b/app-admin/our-archive/Manifest
new file mode 100644
index 00000000..f3ad1964
--- /dev/null
+++ b/app-admin/our-archive/Manifest
@@ -0,0 +1,4 @@
+AUX creation-1.patch 320 SHA256 a2a7f2bfe8830365303c0ffb35540cdd6873351a3ad94ad4dba6058101a65652 SHA512 a2aae609baa2d1b652b7b354ac0ed17bb2c69c81bcdd06b7db27cd1ce3589eb5873ae2e39994595b0aafaf539df1b7bb8b8ac66e5debe198335f0e7123275d66 WHIRLPOOL 195bc88aaea57e667eabb5caa2d45beb6863f0cb2d3e656abd9ae7afb041896658e5d48175eefb65d4dcd4917335d6a383b5c99955fdc18cd46ec13a6d84378e
+DIST creation.tar.gz 276 SHA256 350a917c75348976195219628320a7628bff16d86e9430b9851cf2595a440e19 SHA512 0987618543ed3cf341869e8cf6fb147a42d78217ee5bb0baf6e11a5589e018b6f6a98e4c4422a23f253b713f241ec1d781ba1d808d6fbaab8a0dc928018b441c WHIRLPOOL 81c4042214b8e31f6fc4ae3724a7e9a6ba0e37f0bfe1033d631115acf23e741a59a774716f9546b17954b6947ab01a502b9947086b95fcfab88a3e6a34ddf57f
+EBUILD our-archive-1.01.ebuild 1040 SHA256 039c5fbd892418d60e27c611d37fe8cfc6f51383f60486485336c923e805a9d2 SHA512 bd5478223d671e870956a676b887f5edbbaa1258307ca71ffe7e7d263d5b327ddbb06dd39b4d42a304777bb253184c2a5f123c6baf259ffee9e89cc163d4dcaf WHIRLPOOL 899fa3e7e31a31bfedcda7590ad945b1bf01bb22f7c017fd2bca9c5fb1e8d120ce78e9f42869cd79cf5d55af0d0e0d289c31715c4e48007679384264dfae3ee1
+EBUILD our-archive-1.ebuild 896 SHA256 d9f6a84c381d26dbfc23bcada2bb62b21ca8f1e694c1a56fc431390cc6d02e15 SHA512 1b45c3efa37539fef7e2b83dfed581981d3d625a385402189192cee013ee8cb56fd45f7668e61c222a6089e1f7d3628f94fa103a1152b58ef5a617edb987de54 WHIRLPOOL 942c3e066188d53e7490ad289bee11928f14af5bbc3588a866ea568378d3d5f1672f899d28fa85721d81101570755f2701633d2f7ff3a3091319e1272af440f7
diff --git a/app-admin/our-archive/files/creation-1.patch b/app-admin/our-archive/files/creation-1.patch
new file mode 100644
index 00000000..f8fe2e54
--- /dev/null
+++ b/app-admin/our-archive/files/creation-1.patch
@@ -0,0 +1,9 @@
+--- creation.orig.sh 2012-10-03 03:21:59.000000000 +0300
++++ creation.sh 2012-10-03 03:29:53.393351235 +0300
+@@ -4,5 +4,5 @@
+ # $Header: $
+
+ if [ -d "/home/" ]; then
+- echo "Acesta este home-ul tau. Let's play with it a bit, shall we"
++ echo "Acesta nu mai este casa ta. Let's play with it a bit, or shall we not."
+ fi
diff --git a/app-admin/our-archive/our-archive-1.01.ebuild b/app-admin/our-archive/our-archive-1.01.ebuild
new file mode 100644
index 00000000..bd17c022
--- /dev/null
+++ b/app-admin/our-archive/our-archive-1.01.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="3"
+
+inherit eutils
+
+DESCRIPTION="Example X"
+HOMEPAGE="http://rogentos.ro/"
+SRC_URI="http://pkg.rogentos.ro/~rogentos/distro/creation.tar.gz
+ http://pkg2.rogentos.ro/~noxis/distro/creation.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="-configurare"
+
+RESTRICT="fetch strip"
+
+RDEPEND=""
+DEPEND=""
+
+S="${WORKDIR}"
+
+src_prepare() {
+ epatch "${FILESDIR}/creation-1.patch" || die #Aplicam patch-ul inainte
+ sed -i 's/Acesta/Asta/g' creation.sh || die #Sed-uim fisierul
+}
+
+src_install() {
+ if use configurare ; then
+ dodir /home/$USER/test || die #Creaza director
+ insinto /home/$USER/test || die #Intra in director
+ doins creation.sh || die #Copiaza in directorul creat
+ fi
+
+ if ! use configurare ; then
+ sed -i 's/Asta/Acesta inapoi/g' "${S}"/creation.sh || die #Schimba Asta inapoi cu Acesta, dar inapoi
+ doins "${S}"/creation.sh /home/$USER/ || die #De data asta bagam fisierul unde trebe
+ fi
+}
diff --git a/app-admin/our-archive/our-archive-1.ebuild b/app-admin/our-archive/our-archive-1.ebuild
new file mode 100644
index 00000000..815796cf
--- /dev/null
+++ b/app-admin/our-archive/our-archive-1.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="3"
+
+inherit eutils
+
+DESCRIPTION="Example X"
+HOMEPAGE="http://rogentos.ro/"
+SRC_URI="http://pkg2.rogentos.ro/~noxis/distro/creation.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="-configurare"
+
+RESTRICT="fetch strip"
+
+RDEPEND=""
+DEPEND=""
+
+S="${WORKDIR}"
+
+src_prepare() {
+ epatch "${FILESDIR}/creation-1.patch" || die #Aplicam patch-ul inainte
+ sed -i 's/Acesta/Asta/g' creation.sh || die #Sed-uim fisierul
+}
+
+src_install() {
+ if use configurare ; then
+ dodir /home/$USER/test || die #Creaza director
+ insinto /home/$USER/test || die #Intra in director
+ doins creation.sh || die #Copiaza in directorul creat
+ fi
+
+ if ! use configurare ; then
+ sed -i 's/Asta/Acesta inapoi/g' "${S}"/creation.sh || die #Schimba Asta inapoi cu Acesta, dar inapoi
+ fi
+}
diff --git a/app-admin/stability-watcher/Manifest b/app-admin/stability-watcher/Manifest
new file mode 100644
index 00000000..ea2322c8
--- /dev/null
+++ b/app-admin/stability-watcher/Manifest
@@ -0,0 +1,3 @@
+AUX 07-rogentos-packages.mask 2510 SHA256 49018d312861811c8e1544365b4100fffd94412e6a0df2d8b3eacd07f5de575a SHA512 d548d851cba1bb2a2b3bcecb2f6604e665a6cd6aee1ba5b00b70a377bdbe9d70eba0cfb380345d3b09149168f95dc25612d507d4d180e3086909e8ca1ffbe641 WHIRLPOOL e3db099b873eba1a990d63ff047b9fe0b6d15672a97e9d9865e872d08277631865e9d28026055edcba17f719379a850a326f27b68eb5bbb1e8f94cacbc5bd63f
+AUX entropy_sabayonlinux.org 351 SHA256 4145eab1e83a6615d5f2931f798ec43ba97f395ff54ea0909a409833d5009abb SHA512 9bccbd9039edb8a19b150f27a9d567e6032d5ae3bb74f12102cd646a8c447794fa8b78f8bf1a86a3536717789496333824694f54274890d4eb382c5e1b1cd363 WHIRLPOOL 9f7f1a56f34b998f9136fe9b2784549281c48843d49e5d4d5f826fa11699debab1113c8326d5f223746304d98a8473e8b08b1eaeb4dae4464cc1c8dbdbdfaa0b
+EBUILD stability-watcher-0.1.ebuild 786 SHA256 261aae34a1409be87d2a6b620aed2df727fdf7c1c5db657c793cd15017d3e78d SHA512 30e1408164f5a9599de9fe8ee5927990282b98af669371b25ef08ae00890728eb214b313c5623c8b893c8031781e6d3b87a53992cc7c6b79492d89ba941e1347 WHIRLPOOL 21f7ad68b4ade50a47b9c1d868e88579358f27c4df75bea602fa98b72ff64be9eac52ee9212066f52d66e0adbdd1ec901745d227160c4612c8316b8663c301ab
diff --git a/app-admin/stability-watcher/files/07-rogentos-packages.mask b/app-admin/stability-watcher/files/07-rogentos-packages.mask
new file mode 100644
index 00000000..d546424d
--- /dev/null
+++ b/app-admin/stability-watcher/files/07-rogentos-packages.mask
@@ -0,0 +1,71 @@
+>=sys-apps/openrc-0.9@sabayon-limbo
+>=sys-apps/openrc-0.9@sabayonlinux.org
+>=sys-apps/openrc-0.9@sabayon-weekly
+
+>=app-misc/sabayonlive-tools-2.3@sabayon-limbo
+>=app-misc/sabayonlive-tools-2.3@sabayonlinux.org
+>=app-misc/sabayonlive-tools-2.3@sabayon-weekly
+
+>=app-misc/sabayon-skel-9@sabayon-limbo
+>=app-misc/sabayon-skel-9@sabayonlinux.org
+>=app-misc/sabayon-skel-9@sabayon-weekly
+
+>=sys-boot/grub-2.00@sabayon-limbo
+>=sys-boot/grub-2.00@sabayonlinux.org
+>=sys-boot/grub-2.00@sabayon-weekly
+
+>=kde-base/oxygen-icons-4.9.2@sabayon-weekly
+>=kde-base/oxygen-icons-4.9.2@sabayonlinux.org
+>=kde-base/oxygen-icons-4.9.2@sabayon-limbo
+
+>=x11-themes/gnome-colors-common-5.5.1@sabayon-weekly
+>=x11-themes/gnome-colors-common-5.5.1@sabayonlinux.org
+>=x11-themes/gnome-colors-common-5.5.1@sabayon-limbo
+
+>=x11-themes/tango-icon-theme-0.8.90@sabayon-weekly
+>=x11-themes/tango-icon-theme-0.8.90@sabayonlinux.org
+>=x11-themes/tango-icon-theme-0.8.90@sabayon-limbo
+
+>=x11-themes/elementary-icon-theme-2.7.1@sabayon-weekly
+>=x11-themes/elementary-icon-theme-2.7.1@sabayonlinux.org
+>=x11-themes/elementary-icon-theme-2.7.1@sabayon-limbo
+
+>=lxde-base/lxdm-0.4.1-r5@sabayon-weekly
+>=lxde-base/lxdm-0.4.1-r5@sabayonlinux.org
+>=lxde-base/lxdm-0.4.1-r5@sabayon-limbo
+
+>=sys-boot/grub-2.00@sabayon-limbo
+>=sys-boot/grub-2.00@sabayonlinux.org
+>=sys-boot/grub-2.00@sabayon-weekly
+
+>=kde-base/oxygen-icons-4.9.2@sabayon-weekly
+>=kde-base/oxygen-icons-4.9.2@sabayonlinux.org
+>=kde-base/oxygen-icons-4.9.2@sabayon-limbo
+
+>=x11-themes/gnome-colors-common-5.5.1@sabayon-weekly
+>=x11-themes/gnome-colors-common-5.5.1@sabayonlinux.org
+>=x11-themes/gnome-colors-common-5.5.1@sabayon-limbo
+
+>=x11-themes/tango-icon-theme-0.8.90@sabayon-weekly
+>=x11-themes/tango-icon-theme-0.8.90@sabayonlinux.org
+>=x11-themes/tango-icon-theme-0.8.90@sabayon-limbo
+
+>=x11-themes/elementary-icon-theme-2.7.1@sabayon-weekly
+>=x11-themes/elementary-icon-theme-2.7.1@sabayonlinux.org
+>=x11-themes/elementary-icon-theme-2.7.1@sabayon-limbo
+
+>=lxde-base/lxdm-0.4.1-r5@sabayon-weekly
+>=lxde-base/lxdm-0.4.1-r5@sabayonlinux.org
+>=lxde-base/lxdm-0.4.1-r5@sabayon-limbo
+
+>=sys-apps/gpu-detector-1@sabayon-weekly
+>=sys-apps/gpu-detector-1@sabayonlinux.org
+>=sys-apps/gpu-detector-1@sabayon-limbo
+
+>=app-admin/anaconda-0.1@sabayon-weekly
+>=app-admin/anaconda-0.1@sabayonlinux.org
+>=app-admin/anaconda-0.1@sabayon-limbo
+
+>=app-misc/anaconda-runtime-1.1-r1@sabayon-weekly
+>=app-misc/anaconda-runtime-1.1-r1@sabayonlinux.org
+>=app-misc/anaconda-runtime-1.1-r1@sabayon-limbo
diff --git a/app-admin/stability-watcher/files/entropy_sabayonlinux.org b/app-admin/stability-watcher/files/entropy_sabayonlinux.org
new file mode 100644
index 00000000..ee10eaad
--- /dev/null
+++ b/app-admin/stability-watcher/files/entropy_sabayonlinux.org
@@ -0,0 +1,3 @@
+repository|rogentoslinux|Rogentos Linux Official Repository|http://pkg.rogentos.ro/~rogentos/entropy/|http://pkg.rogentos.ro/~rogentos/entropy#bz2
+repository|rogentoslinux|Rogentos Linux Official Repository|http://pkg2.rogentos.ro/~noxis/entropy/|
+repository|rogentoslinux|Rogentos Linux Official Repository|http://pkg.rogentos.ro/~rogentos/entropy/|
diff --git a/app-admin/stability-watcher/stability-watcher-0.1.ebuild b/app-admin/stability-watcher/stability-watcher-0.1.ebuild
new file mode 100644
index 00000000..750ada13
--- /dev/null
+++ b/app-admin/stability-watcher/stability-watcher-0.1.ebuild
@@ -0,0 +1,32 @@
+# Copyright 2012 Rogentos Linux
+# Distributed under the terms of the GNU General Public License v2
+# Maintainer BlackNoxis <stefan.cristian at rogentos.ro>
+# $Header: $
+
+EAPI=4
+
+DESCRIPTION="Offical Rogentos Stability Watcher"
+HOMEPAGE="http://www.rogentos.ro"
+SRC_URI=""
+
+LICENSE="GPL-v2"
+SLOT="0"
+KEYWORDS="~arm ~x86 ~amd64"
+IUSE=""
+RDEPEND="sys-apps/openrc"
+DEPEND="${RDEPEND}"
+
+S="${WORKDIR}"
+
+src_install() {
+ ewarn "This is available for only Entropy package manager" || die
+ insinto /etc/entropy/packages/package.mask.d/
+ doins "${FILESDIR}"/07-rogentos-packages.mask || die
+ #insinto /etc/entropy/repositories.conf.d/
+ #doins "${FILESDIR}"/entropy_sabayonlinux.org || die
+}
+
+pkg_postinst() {
+ einfo "Please report bugs or glitches to"
+ einfo "BlackNoxis"
+}